
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>services.data_validator.validation_engine module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-services.data_validator.validation_engine">
<span id="services-data-validator-validation-engine-module"></span><h1>services.data_validator.validation_engine module<a class="headerlink" href="#module-services.data_validator.validation_engine" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="services.data_validator.validation_engine.ValidationStrategy">
<em class="property">class </em><code class="sig-prename descclassname">services.data_validator.validation_engine.</code><code class="sig-name descname">ValidationStrategy</code><span class="sig-paren">(</span><em class="sig-param">target_schema</em>, <em class="sig-param">target_table</em>, <em class="sig-param">detail_schema</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_validator.validation_engine.ValidationStrategy" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="method">
<dt id="services.data_validator.validation_engine.ValidationStrategy.prepare">
<em class="property">abstract </em><code class="sig-name descname">prepare</code><span class="sig-paren">(</span><em class="sig-param">session</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_validator.validation_engine.ValidationStrategy.prepare" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="services.data_validator.validation_engine.ValidationStrategy.is_valid">
<em class="property">abstract </em><code class="sig-name descname">is_valid</code><span class="sig-paren">(</span><em class="sig-param">rule_definition: models.Rules</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_validator.validation_engine.ValidationStrategy.is_valid" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="services.data_validator.validation_engine.ValidationStrategy.execute">
<em class="property">abstract </em><code class="sig-name descname">execute</code><span class="sig-paren">(</span><em class="sig-param">rule_definition: models.Rules</em>, <em class="sig-param">rule_instance_id: int</em>, <em class="sig-param">params: dict</em><span class="sig-paren">)</span> &#x2192; [&lt;class 'int'&gt;, &lt;class 'str'&gt;]<a class="headerlink" href="#services.data_validator.validation_engine.ValidationStrategy.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="services.data_validator.validation_engine.ValidationStrategy.finalize">
<em class="property">abstract </em><code class="sig-name descname">finalize</code><span class="sig-paren">(</span><em class="sig-param">rule_status: list</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_validator.validation_engine.ValidationStrategy.finalize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.data_validator.validation_engine.ValidationEngine">
<em class="property">class </em><code class="sig-prename descclassname">services.data_validator.validation_engine.</code><code class="sig-name descname">ValidationEngine</code><span class="sig-paren">(</span><em class="sig-param">strategy: services.data_validator.validation_engine.ValidationStrategy</em>, <em class="sig-param">session</em>, <em class="sig-param">config_id: int</em>, <em class="sig-param">stage: int = 1</em>, <em class="sig-param">config_instance_id: int = None</em>, <em class="sig-param">rule_type: str = 'user_defined'</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_validator.validation_engine.ValidationEngine" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.data_validator.validation_engine.ValidationEngine.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.data_validator.validation_engine.ValidationEngine.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="services.data_validator.validation_engine.ValidationEngine.extract_config">
<code class="sig-name descname">extract_config</code><span class="sig-paren">(</span><em class="sig-param">config_id: int</em><span class="sig-paren">)</span> &#x2192; models.Config<a class="headerlink" href="#services.data_validator.validation_engine.ValidationEngine.extract_config" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="services.data_validator.validation_engine.ValidationEngine.register_config_instance">
<code class="sig-name descname">register_config_instance</code><span class="sig-paren">(</span><em class="sig-param">config_instance_id</em>, <em class="sig-param">config_id</em>, <em class="sig-param">rule_type</em>, <em class="sig-param">target_schema</em>, <em class="sig-param">target_table</em>, <em class="sig-param">detail_schema</em>, <em class="sig-param">stage</em><span class="sig-paren">)</span> &#x2192; models.ConfigInstance<a class="headerlink" href="#services.data_validator.validation_engine.ValidationEngine.register_config_instance" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="services.data_validator.validation_engine.ValidationEngine.register_rule_instance">
<code class="sig-name descname">register_rule_instance</code><span class="sig-paren">(</span><em class="sig-param">rule_definition</em>, <em class="sig-param">kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_validator.validation_engine.ValidationEngine.register_rule_instance" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="services.data_validator.validation_engine.ValidationEngine.prepare_response">
<code class="sig-name descname">prepare_response</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.data_validator.validation_engine.ValidationEngine.prepare_response" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.data_validator.validation_engine.ArchieveConfigInstance">
<em class="property">class </em><code class="sig-prename descclassname">services.data_validator.validation_engine.</code><code class="sig-name descname">ArchieveConfigInstance</code><span class="sig-paren">(</span><em class="sig-param">session</em>, <em class="sig-param">rs_connector_id: int</em>, <em class="sig-param">config_instance_id: int</em>, <em class="sig-param">stage: int = 1</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_validator.validation_engine.ArchieveConfigInstance" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.data_validator.validation_engine.ArchieveConfigInstance.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.data_validator.validation_engine.ArchieveConfigInstance.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/services.data_validator.validation_engine.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>